Subject: Re: BUG: git grep behave oddly with alternatives

From: Junio C Hamano <[email-masked]>
Date: Sat, 14 Jan 2023 08:08:59 -0800

Diomidis Spinellis <[email-masked]> writes:

> Indeed, I removed the alternation handling functionality by accident.
> I was not aware of the BRE-handling difference between the GNU and the
> macOS native regex library.  I think having git-grep behave the same
> as grep(1) on each platform is consistent with the principle of least
> astonishment (POLA).  This would mean that on macOS plain git-grep
> should use enhanced basic REs as proposed in René's patch.

Thanks.  I am fine with what René's patch does, which we already
queued, then ;-)

Let's merge 54463d32 (use enhanced basic regular expressions on
macOS, 2023-01-08) down to 'next'.